<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }
/****************************************************
*
* @File:         template.php
* @Package:      GetSimple
* @Action:       Elegance theme for GetSimple CMS
*

*****************************************************/
?>

<!DOCTYPE html>

<html lang=en>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1" />
<title>
<?php get_page_clean_title(); ?>
&mdash;
<?php get_site_name(); ?>
</title>
<?php get_header(); ?>
<link href="<?php get_theme_url(); ?>/css/style.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php get_theme_url(); ?>/css/main.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php get_theme_url(); ?>/css/responsive.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php get_theme_url(); ?>/css/font-awesome.css" rel="stylesheet" type="text/css" media="screen" />
<link href="<?php get_theme_url(); ?>/css/sidr.css" rel="stylesheet" type="text/css" media="screen" />
<script src="<?php get_theme_url(); ?>/js/jquery-1.8.2.min.js"></script>

<!-- Fonts  -->
<link href='http://fonts.googleapis.com/css?family=Noto+Serif:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
<link href='http://fonts.googleapis.com/css?family=Fjalla+One' rel='stylesheet' type='text/css'>

<body id="<?php get_page_slug(); ?>" >

<!-- Header -->
<div id="mobile-header"> <a id="responsive-menu-button" href="#sidr-main">
  <div class="menuButton">&#9776;</div>
  </a></div>
<div class="headerTopWrap">
  <div class="headerTop">
    <div class="utility">
      <?php get_component('utility'); ?>
    </div>
    <div class="socialMedia">
      <?php get_component('socialmedia'); ?>
    </div>
  </div>
</div>
<div class="headerWrap">
  <div class="header"> 
    
    <!-- Logo -->
    <div class="logo">
      <h1><a href="<?php get_site_url(); ?>">
        <?php get_site_name(); ?>
        </a></h1>
      <p>
        <?php get_component('tagline'); ?>
      </p>
    </div>
    
    <!-- Menu Icon --> 
    
    <!-- Main Menu -->
    <div class="menuWrap" >
      <nav class="mainMenu">
        <ul>
          <?php get_navigation(return_page_slug()); ?>
        </ul>
      </nav>
    </div>
  </div>
</div>

<!-- ContentArea -->
<div class="contentArea">
  <div class="mainContentArea">
    <h1>
      <?php get_page_title(); ?>
    </h1>
    <?php get_page_content(); ?>
  </div>
  <div id="twitterWrap">
    <div class="fa fa-twitter"></div>
    <div id="twitterHolder">
      <div id="twitterFeed"></div>
    </div>
  </div>
  <div class="footerWrap">
    <div class="footer">
      <div class="footerLeft">
        <p> <span>
          <?php  get_site_name(); ?>
          </span> &copy;<?php echo date('Y'); ?>
          <?php get_site_credits(); ?>
          | <a href="http://tnerb.net" target="_blank">tnerb.net</a></p>
      </div>
      <div class="footerRight">
        <div class="socialMedia">
          <?php get_component('socialmedia'); ?>
        </div>
      </div>
    </div>
  </div>
</div>
<?php get_footer(); ?>
<div class="toTop">&#8679;</div>

<!-- end-of-"page" --> 
<script src="<?php get_theme_url(); ?>/js/jquery-1.8.2.min.js"></script> 
<script type="text/javascript" src="<?php get_theme_url(); ?>/js/twitterFetcher.js"></script> 
<script>
      
      twitterFetcher.fetch('<?php get_component('twitterwidgetid'); ?>', '', 3, true, true, true, '', false, handleTweets);

      function handleTweets(tweets){
          var x = tweets.length;
          var n = 0;
          var element = document.getElementById('twitterFeed');
          var html = '<ul>';
          while(n < x) {
            html += '<li>' + tweets[n] + '</li>';
            n++;
          }
          html += '</ul>';
          element.innerHTML = html;
      }

function autoScroll() {
    var itemHeight = $('#twitterFeed li').outerHeight();
    var moveFactor = parseInt($('#twitterFeed').css('top')) + itemHeight;
    $('#twitterFeed').animate({
        'top' : moveFactor
    }, 'slow', 'linear', function(){
        $("#twitterFeed li:first").before($("#twitterFeed li:last"));
        $('#twitterFeed').css({'top' : '-6em'});
    });
};
var moveScroll = setInterval(autoScroll, 6000);
</script> 
<script src="<?php get_theme_url(); ?>/js/sidr.js"></script> 
<script> jQuery('#responsive-menu-button').sidr({ name: 'sidr-main', source: '.mainMenu' }); </script> 
<script src="<?php get_theme_url(); ?>/js/scripts.js"></script>
</body>
</html>
